// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: DataStorageQuery.proto

package ru.omnicomm.pegasus.messaging.data.service;

public final class DataStorageQueryParser {
  private DataStorageQueryParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class DataStorageQuery extends
      com.google.protobuf.GeneratedMessage {
    // Use DataStorageQuery.newBuilder() to construct.
    private DataStorageQuery() {
      initFields();
    }
    private DataStorageQuery(boolean noInit) {}
    
    private static final DataStorageQuery defaultInstance;
    public static DataStorageQuery getDefaultInstance() {
      return defaultInstance;
    }
    
    public DataStorageQuery getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.internal_static_ru_omnicomm_pegasus_messaging_data_sevice_DataStorageQuery_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.internal_static_ru_omnicomm_pegasus_messaging_data_sevice_DataStorageQuery_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 701];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 701;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int32 queryId = 107 [default = -1];
    public static final int QUERYID_FIELD_NUMBER = 107;
    private boolean hasQueryId;
    private int queryId_ = -1;
    public boolean hasQueryId() { return hasQueryId; }
    public int getQueryId() { return queryId_; }
    
    // optional int32 queryType = 108 [default = -1];
    public static final int QUERYTYPE_FIELD_NUMBER = 108;
    private boolean hasQueryType;
    private int queryType_ = -1;
    public boolean hasQueryType() { return hasQueryType; }
    public int getQueryType() { return queryType_; }
    
    // optional int32 queryFrom = 109 [default = -1];
    public static final int QUERYFROM_FIELD_NUMBER = 109;
    private boolean hasQueryFrom;
    private int queryFrom_ = -1;
    public boolean hasQueryFrom() { return hasQueryFrom; }
    public int getQueryFrom() { return queryFrom_; }
    
    // optional int32 queryTill = 110 [default = -1];
    public static final int QUERYTILL_FIELD_NUMBER = 110;
    private boolean hasQueryTill;
    private int queryTill_ = -1;
    public boolean hasQueryTill() { return hasQueryTill; }
    public int getQueryTill() { return queryTill_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasQueryId()) {
        output.writeInt32(107, getQueryId());
      }
      if (hasQueryType()) {
        output.writeInt32(108, getQueryType());
      }
      if (hasQueryFrom()) {
        output.writeInt32(109, getQueryFrom());
      }
      if (hasQueryTill()) {
        output.writeInt32(110, getQueryTill());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasQueryId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(107, getQueryId());
      }
      if (hasQueryType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(108, getQueryType());
      }
      if (hasQueryFrom()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(109, getQueryFrom());
      }
      if (hasQueryTill()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(110, getQueryTill());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery other) {
        if (other == ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasQueryId()) {
          setQueryId(other.getQueryId());
        }
        if (other.hasQueryType()) {
          setQueryType(other.getQueryType());
        }
        if (other.hasQueryFrom()) {
          setQueryFrom(other.getQueryFrom());
        }
        if (other.hasQueryTill()) {
          setQueryTill(other.getQueryTill());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 856: {
              setQueryId(input.readInt32());
              break;
            }
            case 864: {
              setQueryType(input.readInt32());
              break;
            }
            case 872: {
              setQueryFrom(input.readInt32());
              break;
            }
            case 880: {
              setQueryTill(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 701];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 701;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int32 queryId = 107 [default = -1];
      public boolean hasQueryId() {
        return result.hasQueryId();
      }
      public int getQueryId() {
        return result.getQueryId();
      }
      public Builder setQueryId(int value) {
        result.hasQueryId = true;
        result.queryId_ = value;
        return this;
      }
      public Builder clearQueryId() {
        result.hasQueryId = false;
        result.queryId_ = -1;
        return this;
      }
      
      // optional int32 queryType = 108 [default = -1];
      public boolean hasQueryType() {
        return result.hasQueryType();
      }
      public int getQueryType() {
        return result.getQueryType();
      }
      public Builder setQueryType(int value) {
        result.hasQueryType = true;
        result.queryType_ = value;
        return this;
      }
      public Builder clearQueryType() {
        result.hasQueryType = false;
        result.queryType_ = -1;
        return this;
      }
      
      // optional int32 queryFrom = 109 [default = -1];
      public boolean hasQueryFrom() {
        return result.hasQueryFrom();
      }
      public int getQueryFrom() {
        return result.getQueryFrom();
      }
      public Builder setQueryFrom(int value) {
        result.hasQueryFrom = true;
        result.queryFrom_ = value;
        return this;
      }
      public Builder clearQueryFrom() {
        result.hasQueryFrom = false;
        result.queryFrom_ = -1;
        return this;
      }
      
      // optional int32 queryTill = 110 [default = -1];
      public boolean hasQueryTill() {
        return result.hasQueryTill();
      }
      public int getQueryTill() {
        return result.getQueryTill();
      }
      public Builder setQueryTill(int value) {
        result.hasQueryTill = true;
        result.queryTill_ = value;
        return this;
      }
      public Builder clearQueryTill() {
        result.hasQueryTill = false;
        result.queryTill_ = -1;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.sevice.DataStorageQuery)
    }
    
    static {
      defaultInstance = new DataStorageQuery(true);
      ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.sevice.DataStorageQuery)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_sevice_DataStorageQuery_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_sevice_DataStorageQuery_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\026DataStorageQuery.proto\022)ru.omnicomm.pe" +
      "gasus.messaging.data.sevice\"\255\001\n\020DataStor" +
      "ageQuery\022\020\n\010sourceId\030\001 \002(\005\022\030\n\013messageTyp" +
      "e\030\002 \001(\005:\003701\022\023\n\013messageTime\030\003 \002(\005\022\023\n\007que" +
      "ryId\030k \001(\005:\002-1\022\025\n\tqueryType\030l \001(\005:\002-1\022\025\n" +
      "\tqueryFrom\030m \001(\005:\002-1\022\025\n\tqueryTill\030n \001(\005:" +
      "\002-1BD\n*ru.omnicomm.pegasus.messaging.dat" +
      "a.serviceB\026DataStorageQueryParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_sevice_DataStorageQuery_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_sevice_DataStorageQuery_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_sevice_DataStorageQuery_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "QueryId", "QueryType", "QueryFrom", "QueryTill", },
              ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery.class,
              ru.omnicomm.pegasus.messaging.data.service.DataStorageQueryParser.DataStorageQuery.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
